import { BulletOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
export declare type BulletChartProps = Omit<BaseChartProps<BulletOptions>, 'chart'> & BulletOptions;
declare const BulletChart: import("vue").DefineComponent<BulletChartProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | undefined;
    supportCSSTransform?: boolean | undefined;
    style?: (string & {
        measure?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
        target?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
        range?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
    }) | (import("vue").CSSProperties & {
        measure?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
        target?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
        range?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
    }) | undefined;
    color?: {
        measure?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
        target?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
        range?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
    } | undefined;
    chartRef?: import("vue").Ref<import("@antv/g2plot").Plot<BulletOptions> | null> | undefined;
    data?: Record<string, any>[] | undefined;
    label?: {
        measure?: import("@antv/g2/lib/interface").GeometryLabelCfg | ((datum: Record<string, any>) => import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
        target?: import("@antv/g2/lib/interface").GeometryLabelCfg | ((datum: Record<string, any>) => import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
        range?: import("@antv/g2/lib/interface").GeometryLabelCfg | ((datum: Record<string, any>) => import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
    } | undefined;
    legend?: boolean | import("@antv/g2/lib/interface").LegendCfg | undefined;
    meta?: unknown;
    xField?: string | undefined;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    xAxis?: (false & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | (true & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | (import("@antv/g2/lib/interface").AxisCfg & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | undefined;
    yAxis?: (false & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | (true & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | (import("@antv/g2/lib/interface").AxisCfg & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | undefined;
    tooltip?: boolean | import("@antv/g2/lib/interface").TooltipCfg | undefined;
    slider?: boolean | import("@antv/g2/lib/interface").SliderCfg | undefined;
    scrollbar?: boolean | import("@antv/g2/lib/interface").ScrollbarCfg | undefined;
    animation?: boolean | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    measureField?: string | undefined;
    rangeField?: string | undefined;
    targetField?: string | undefined;
    size?: {
        measure?: number | [number, number] | ((datum: Record<string, any>) => number) | undefined;
        target?: number | [number, number] | ((datum: Record<string, any>) => number) | undefined;
        range?: number | [number, number] | ((datum: Record<string, any>) => number) | undefined;
    } | undefined;
    layout?: "horizontal" | "vertical" | undefined;
}>, {
    class: any;
}>;
export default BulletChart;
