import { ColumnOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
export declare type ColumnChartProps = Omit<BaseChartProps<ColumnOptions>, 'chart'> & ColumnOptions;
declare const ColumnChart: import("vue").DefineComponent<ColumnChartProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | undefined;
    supportCSSTransform?: boolean | undefined;
    style?: string | import("vue").CSSProperties | undefined;
    color?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
    chartRef?: import("vue").Ref<import("@antv/g2plot").Plot<ColumnOptions> | null> | undefined;
    data?: Record<string, any>[] | undefined;
    label?: false | ({
        readonly fields?: string[] | undefined;
        readonly callback?: import("@antv/g2/lib/interface").LabelCallback | undefined;
    } & import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
    legend?: boolean | import("@antv/g2/lib/interface").LegendCfg | undefined;
    meta?: unknown;
    xField?: string | undefined;
    yField?: string | undefined;
    seriesField?: string | undefined;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    xAxis?: (false & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | (true & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | (import("@antv/g2/lib/interface").AxisCfg & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | undefined;
    yAxis?: (false & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | (true & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | (import("@antv/g2/lib/interface").AxisCfg & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | undefined;
    tooltip?: boolean | import("@antv/g2/lib/interface").TooltipCfg | undefined;
    slider?: boolean | import("@antv/g2/lib/interface").SliderCfg | undefined;
    scrollbar?: boolean | import("@antv/g2/lib/interface").ScrollbarCfg | undefined;
    animation?: boolean | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    columnStyle?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
    columnWidthRatio?: number | undefined;
    isGroup?: boolean | undefined;
    isRange?: boolean | undefined;
    isPercent?: boolean | undefined;
    isStack?: boolean | undefined;
    marginRatio?: number | undefined;
}>, {
    class: any;
}>;
export default ColumnChart;
