import { GaugeOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
export declare type GaugeChartProps = Omit<BaseChartProps<GaugeOptions>, 'chart'> & GaugeOptions;
declare const GaugeChart: import("vue").DefineComponent<GaugeChartProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | undefined;
    supportCSSTransform?: boolean | undefined;
    style?: string | import("vue").CSSProperties | undefined;
    chartRef?: import("vue").Ref<import("@antv/g2plot").Plot<GaugeOptions> | null> | undefined;
    label?: false | ({
        readonly fields?: string[] | undefined;
        readonly callback?: import("@antv/g2/lib/interface").LabelCallback | undefined;
    } & import("@antv/g2/lib/interface").GeometryLabelCfg) | undefined;
    meta?: unknown;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    slider?: boolean | import("@antv/g2/lib/interface").SliderCfg | undefined;
    scrollbar?: boolean | import("@antv/g2/lib/interface").ScrollbarCfg | undefined;
    animation?: boolean | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    range?: {
        readonly ticks?: number[] | undefined;
        readonly color?: string[] | undefined;
    } | undefined;
    percent?: number | undefined;
    radius?: number | undefined;
    innerRadius?: number | undefined;
    startAngle?: number | undefined;
    endAngle?: number | undefined;
    axis?: (false & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | (true & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | (import("@antv/g2/lib/interface").AxisCfg & {
        readonly type?: string | undefined;
        readonly nice?: boolean | undefined;
        readonly min?: number | undefined;
        readonly max?: number | undefined;
        readonly minLimit?: number | undefined;
        readonly maxLimit?: number | undefined;
        readonly tickCount?: number | undefined;
        readonly tickInterval?: number | undefined;
        readonly tickMethod?: ((scale: any) => any[]) | undefined;
    }) | undefined;
    indicator?: import("@antv/g2plot/lib/plots/gauge/types").Indicator | undefined;
    statistic?: import("@antv/g2plot").Statistic | undefined;
}>, {
    class: any;
}>;
export default GaugeChart;
