import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Area } from '@antv/g2plot';
import BaseChart from '../../components/base';
var AreaChart = defineComponent({
  name: 'AreaChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Area
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

AreaChart.install = function (app) {
  app.component(AreaChart.name, AreaChart);
};

export default AreaChart;