import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Gauge } from '@antv/g2plot';
import BaseChart from '../../components/base';
var GaugeChart = defineComponent({
  name: 'GaugeChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Gauge
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

GaugeChart.install = function (app) {
  app.component(GaugeChart.name, GaugeChart);
};

export default GaugeChart;