import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Histogram } from '@antv/g2plot';
import BaseChart from '../../components/base';
var HistogramChart = defineComponent({
  name: 'HistogramChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Histogram
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

HistogramChart.install = function (app) {
  app.component(HistogramChart.name, HistogramChart);
};

export default HistogramChart;