import "core-js/modules/es.function.name";
import { defineComponent, mergeProps, createVNode } from "vue";
import { Pie } from '@antv/g2plot';
import BaseChart from '../../components/base';
var PieChart = defineComponent({
  name: 'PieChart',
  setup: function setup(props, ctx) {
    return function () {
      return createVNode(BaseChart, mergeProps({
        "chart": Pie
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

PieChart.install = function (app) {
  app.component(PieChart.name, PieChart);
};

export default PieChart;